# Class DecoderEntry

java.lang.Object
org.apache.tomcat.websocket.DecoderEntry

public class DecoderEntry extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DecoderEntry(Class<?> clazz, Class<? extends Decoder> decoderClazz)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>`
  `getClazz()`
  `Class<? extends Decoder>`
  `getDecoderClazz()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DecoderEntry

    public DecoderEntry(Class<?> clazz, Class<? extends Decoder> decoderClazz)

- ## Method Details

  - ### getClazz

    public Class<?> getClazz()

  - ### getDecoderClazz

    public Class<? extends Decoder> getDecoderClazz()